@charset "UTF-8";
.reviews-container {
  display: flex;
  font-family: "Inter", "verdana", "sans-serif";
  /* Скрываем scrollbar для Chrome, Safari и Opera */
}
.reviews-container::-webkit-scrollbar {
  display: none;
}
.reviews-container {
  -ms-overflow-style: none; /* IE и Edge */
  scrollbar-width: none; /* Firefox */
}
.reviews-container_mobile {
  overflow-x: auto;
  scroll-snap-type: x mandatory;
  margin-inline: -20px;
  padding-inline: 20px;
}
.reviews-container_mobile .review-card {
  width: 286px;
}

.review-card {
  width: 100%;
  height: 244px;
  padding: 20px;
  background: #FFFFFF;
  border: 1px solid #EFF1F1;
  border-radius: 20px;
  font-size: 14px;
  line-height: 20px;
  font-weight: 400;
  align-self: start;
  flex-shrink: 0;
  color: #051F1C;
  transition: all 0.15s ease;
}

.review-content {
  display: flex;
  flex-direction: column;
  row-gap: 12px;
  height: 100%;
}
.review-content__head {
  display: flex;
  justify-content: space-between;
}
.review-content__city {
  padding: 4px;
  background-color: var(--accent-color, #00AD5A);
  border-radius: 4px;
  color: #FFFFFF;
  font-size: 12px;
  line-height: 12px;
  font-weight: 400;
}
.review-content__city svg {
  width: 10px;
  height: 12px;
}
.review-content__city svg path {
  stroke: #FFFFFF;
}
.review-content__star_rated > svg path {
  fill: #FAB32F;
}
.review-content__main {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  row-gap: 8px;
  height: -moz-min-content;
  height: min-content;
}
.review-content__rating {
  display: flex;
  flex-direction: row;
  flex-wrap: nowrap;
  -moz-column-gap: 2px;
  column-gap: 2px;
}
.review-content__rating span {
  width: 16px;
  height: 16px;
}
.review-content__rating span > svg {
  width: 100%;
  height: 100%;
}
.review-content__text {
  font-size: 14px;
  line-height: 20px;
  font-weight: 400;
  color: #051F1C;
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-line-clamp: 4;
  -webkit-box-orient: vertical;
}
.review-content__text_full {
  display: block;
  text-overflow: initial;
}
.review-content__foot {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  margin-top: auto;
  padding-top: 12px;
  border-top: 1px solid #EFF1F1;
  -moz-column-gap: 8px;
  column-gap: 8px;
}
.review-content__user, .review-content__date {
  font-size: 14px;
  line-height: 16px;
  font-weight: 400;
  color: #828F8D;
}
.review-content__user svg, .review-content__date svg {
  width: 16px;
  height: 16px;
  flex-shrink: 0;
}
.review-content__user svg path, .review-content__date svg path {
  stroke: #828F8D;
}
.review-content__date {
  flex-shrink: 0;
}
.review-content__user {
  flex: 1 1 auto;
  min-width: 0;
}
.review-content__user-text {
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
}
.review-content__show-full {
  font-size: 16px;
  line-height: 20px;
  font-weight: 700;
  display: none;
  color: #637371;
  background: none;
  border: none;
  cursor: pointer;
  text-align: start;
}
.review-content__show-full:focus-visible {
  outline: none;
  border: 2px solid #C0C7C6;
  transition: all 0.15s ease;
  border-radius: 8px;
}
.review-content .iconed-text {
  display: inline-flex;
  align-items: center;
  -moz-column-gap: 4px;
  column-gap: 4px;
}

.reviews-slider {
  overflow: hidden;
}
.reviews-slider__list {
  display: flex;
  transform: translateX(0);
  transition: transform 0.5s;
}
.reviews-slider__slide {
  transition: opacity 0.15s cubic-bezier(0.65, 0.05, 0.36, 1) 0.15s;
  opacity: 0;
}
.reviews-slider__slide_active {
  opacity: 1;
}
.reviews-slider__arrows {
  display: flex;
  flex-direction: row;
  -moz-column-gap: 16px;
  column-gap: 16px;
  margin: 20px 0 0 auto;
  justify-self: flex-end;
}
.reviews-slider__arrow-btn {
  padding: 12px 24px;
  height: 48px;
  display: inline-flex;
  justify-content: center;
  align-items: center;
  gap: 4px;
  width: -moz-fit-content;
  width: fit-content;
  flex-shrink: 0;
  font-family: "Inter", "verdana", "sans-serif";
  font-size: 18px;
  line-height: 1;
  text-decoration: none;
  border-radius: 8px;
  transition: all 0.15s ease;
  cursor: pointer;
}
.reviews-slider__arrow-btn:disabled, .reviews-slider__arrow-btn[aria-disabled=true] {
  opacity: 0.5;
  cursor: auto;
  pointer-events: none;
}
.reviews-slider__arrow-btn:focus {
  outline: none;
}
.reviews-slider__arrow-btn:focus-visible {
  border-color: transparent;
  outline: none;
  box-shadow: 0 0 0 2px #C0C7C6 inset;
}
.reviews-slider__arrow-btn:hover, .reviews-slider__arrow-btn:active {
  transition: all 0.15s ease;
}
.reviews-slider__arrow-btn {
  color: #051F1C;
  background: #E0E3E3;
  border: none;
}
.reviews-slider__arrow-btn:hover {
  background: color-mix(in srgb, #E0E3E3, black 5%);
}
.reviews-slider__arrow-btn:active {
  background: color-mix(in srgb, #E0E3E3, black 10%);
}
.reviews-slider__arrow-btn {
  width: 48px;
  height: 48px;
  border-radius: 100px;
  padding: 0;
}
.reviews-slider__arrow-btn svg {
  margin: auto;
}
.reviews-slider__arrow-btn_prev svg {
  transform: scaleX(-1);
}

.review-modal {
  position: fixed;
  display: flex;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  justify-content: center;
  align-items: center;
  visibility: hidden;
  opacity: 0;
  transition: all 0.15s ease;
  z-index: 0;
  will-change: opacity, z-index;
}
.review-modal_visible {
  visibility: visible;
  opacity: 1;
  z-index: 100;
  transition: all 0.15s ease;
}
.review-modal__container {
  position: relative;
  display: flex;
  flex-direction: column;
  row-gap: 12px;
  padding: 40px;
  width: 420px;
  height: -moz-fit-content;
  height: fit-content;
  max-height: 100%;
  background: #FFFFFF;
  border-radius: 20px;
  overflow-y: auto;
  overflow-x: hidden;
  box-shadow: 0 2px 8px rgba(5, 31, 28, 0.12), 0 10px 16px rgba(5, 31, 28, 0.06);
}
@media (max-width: 576px) {
  .review-modal__container {
    width: 306px;
    padding: 20px;
  }
}
.review-modal__title {
  color: #051F1C;
  font-size: 28px;
  line-height: 36px;
  font-weight: 700;
}
@media (max-width: 576px) {
  .review-modal__title {
    font-size: 24px;
    line-height: 32px;
  }
}
.review-modal__close {
  position: absolute;
  top: 40px;
  right: 40px;
  padding: 8px;
  width: 36px;
  height: 36px;
  border: none;
  border-radius: 100px;
  background: #EFF1F1;
  cursor: pointer;
  transition: all 0.15s ease;
}
@media (max-width: 576px) {
  .review-modal__close {
    top: 20px;
    right: 20px;
  }
}
.review-modal__close svg {
  width: 100%;
}
.review-modal__close svg path {
  fill: #828F8D;
}
.review-modal__close:hover {
  background: color-mix(in srgb, #EFF1F1, black 5%);
}
.review-modal__close:active {
  background: color-mix(in srgb, #EFF1F1, black 10%);
}
.review-modal__close:focus-visible {
  outline: 2px solid #C0C7C6;
}